Apply (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class Apply

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Apply

All Implemented Interfaces:
  ValueExpression, Visitable

    public class Apply

extends Object
implements ValueExpression

Id to represent a simple valuestring.

$Id: Apply.java 1365 2010-03-26 21:46:46Z euzenat $

Version:
  $Revision: 1.2 $
Author:
  richi

Field Summary
`private List<ValueExpression>` | `arguments`
`private URI` | `operation` Holds the operation to apply

Constructor Summary
`Apply(URI op, List<ValueExpression> args)` Constructs an object with the given value.

Method Summary
`void` | `accept(AlignmentVisitor visitor)`
`void` | `accept(TypeCheckingVisitor visitor)`
`boolean` | `equals(Object o)`
`List<ValueExpression>` | `getArguments()`
`URI` | `getOperation()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### operation

    private URI operation

  Holds the operation to apply

### arguments

    private List<ValueExpression> arguments

Constructor Detail

### Apply

    public Apply(URI op,
                 List<ValueExpression> args)

  Constructs an object with the given value.

  Parameters:
    `op` - the URI of the operation to apply.
    `args` - its list of argumenst
  Throws:
    `NullPointerException` - if the value is `null`
    `IllegalArgumentException` - if the value isn't longer than 0

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Throws:
    `AlignmentException`

### accept

    public void accept(TypeCheckingVisitor visitor)
                throws AlignmentException

  Throws:
    `AlignmentException`

### getOperation

    public URI getOperation()

### getArguments

    public List<ValueExpression> getArguments()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010